umbrello: Uml::CmdChangeLineColor Class Reference

umbrello 2.31.1 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

Public Member Functions | Private Attributes | List of all members
Uml::CmdChangeLineColor Class Reference

`#include <cmdchangelinecolor.h>`

Inheritance diagram for Uml::CmdChangeLineColor:

## Public Member Functions
| CmdChangeLineColor (UMLWidget *w, const QColor &col)
| ~CmdChangeLineColor ()
void | redo ()
void | undo ()
Public Member Functions inherited from Uml::CmdBaseWidgetCommand
| CmdBaseWidgetCommand (UMLWidget *widget)
| CmdBaseWidgetCommand (AssociationWidget *widget)
virtual | ~CmdBaseWidgetCommand ()

## Private Attributes
QColor | m_oldColor
QColor | m_newColor
bool | m_oldUsesDiagramValue

## Additional Inherited Members
Protected Member Functions inherited from Uml::CmdBaseWidgetCommand
void | setWidget (UMLWidget *widget)
void | setWidget (AssociationWidget *widget)
void | addWidgetToScene (UMLWidget *widget)
void | addWidgetToScene (AssociationWidget *widget)
void | removeWidgetFromScene (UMLWidget *widget)
void | removeWidgetFromScene (AssociationWidget *widget)
UMLWidget * | widget ()
AssociationWidget * | assocWidget ()
UMLScene * | scene ()
Protected Attributes inherited from Uml::CmdBaseWidgetCommand
Uml::ID::Type | m_sceneId
Uml::ID::Type | m_widgetId
QPointer< UMLScene > | m_scene
QPointer< UMLWidget > | m_widget
QPointer< AssociationWidget > | m_assocWidget
bool | m_isAssoc

## Constructor & Destructor Documentation

## ◆ CmdChangeLineColor()

Uml::CmdChangeLineColor::CmdChangeLineColor | ( | UMLWidget * | w,
|  | const QColor & | col
| ) |  |

## ◆ ~CmdChangeLineColor()

Uml::CmdChangeLineColor::~CmdChangeLineColor | ( |  | ) |

## Member Function Documentation

## ◆ redo()

void Uml::CmdChangeLineColor::redo | ( |  | ) |

## ◆ undo()

void Uml::CmdChangeLineColor::undo | ( |  | ) |

## Member Data Documentation

## ◆ m_newColor

QColor Uml::CmdChangeLineColor::m_newColor
| private

## ◆ m_oldColor

QColor Uml::CmdChangeLineColor::m_oldColor
| private

## ◆ m_oldUsesDiagramValue

bool Uml::CmdChangeLineColor::m_oldUsesDiagramValue
| private

The documentation for this class was generated from the following files:

- umbrello/cmds/widget/cmdchangelinecolor.h
- umbrello/cmds/widget/cmdchangelinecolor.cpp